<%
/* 
	Ejercicio:	3x2x14
	Fecha:		06/11/2012
	
	Enunciado:
		Realiza una página JSP que reciba el nombre de una tabla MySQL cualquiera y visualice sus datos
		formateados a través de una tabla HTML (la primera fila la ocuparán los nombres de las columnas)
*/
%>

<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page import="java.sql.SQLException" %>
<%@ page import="java.sql.Statement" %>
<%@ page import="com.mysql.jdbc.DatabaseMetaData" %>
<%@ page import="com.mysql.jdbc.PreparedStatement" %>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>3x2x14</title>
		
		<style type="text/css">
			table{ margin-bottom:20px; margin-top:20px; border: 1px solid black; }
			caption{ font-weight: bold; font-size: 20px; }
			tr, td{ border-style:inset; border-width: 1px; }
		</style>
	</head>

	<body>
		
		<%
		String tabla = request.getParameter("tabla"); 
		
		
		if( tabla == null || tabla == "")
		{
		%>
			<form action="3x2x14.jsp" method="get">
				<label>Indique el nombre de una tabla de la base de datos:</label><br />
				<input type="text" name="tabla" />
				<input type="submit" value="Enviar"/>
			</form>
		<%
		}
		else
		{
			try
			{
				Class.forName("com.mysql.jdbc.Driver");
				Connection conn = DriverManager.getConnection("jdbc:mysql://giltesa.com:3306/baseDeDatos", "usuario", "pass");
				
				DatabaseMetaData meta = (DatabaseMetaData)conn.getMetaData();
				ResultSet rs1 = meta.getColumns(conn.getCatalog(), conn.getSchema(), tabla, null);

				out.print("<table><tr>");
				int cont=0;
				while( rs1.next() )
				{
					out.print("<td><b>"+rs1.getString(4)+"</b></td>");
					cont++;
				}
				out.print("</tr>");
				rs1.close();
				
				
				Statement stmt = conn.createStatement();
				ResultSet rs2 = stmt.executeQuery("SELECT * FROM " + tabla );
				while( rs2.next() )
				{
					out.print("<tr>"); 
					for( int i=1 ; i<=cont ; i++ )
						out.print("<td>"+rs2.getString(i)+"</td>");
					out.print("</tr>");
				}					
				out.print("</table>");				
				rs2.close();
				conn.close();
			}
			catch( Exception e )
			{
				e.printStackTrace();
			}
		}
		%>		
	</body>
	
</html>