<%
/* 
	Ejercicio:	3x2x10
	Fecha:		26/10/2012

	Enunciado:
		Realizar página JSP para visualizar las notas por asignatura y nota media de un alumno:
		http://img.giltesa.com/images/657JSP3x2x10.png
		Almacenar previamente las notas de cada asignatura en una matriz dentro de un fichero.
		La nota media debe aparecer redondeada a un decimal.		
*/
%>

<%@page import="java.io.FileInputStream"%>
<%@page import="java.util.Vector"%>
<%@page import="java.io.BufferedReader"%>
<%@page import="java.io.FileReader"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>3x2x10</title>
		
		<style type="text/css">
			   table{ border: 1px solid black; }
			 caption{ font-weight: bold;  font-size: 20px; }
			  td, th{ border-style:inset; border-width: 1px; }
		</style>		
	</head>

	<body>
		<%
			try
			{
				// Se leen las notas del fichero:
				BufferedReader br = new BufferedReader(new FileReader("notas.txt"));
				Vector<Double> notas = new Vector<Double>();
				String linea = br.readLine();

				while( linea != null )
				{
					notas.add(Double.parseDouble(linea));
					linea = br.readLine();	
				}

				br.close();
			%>
				<table>
				<caption>Boletín de notas</caption>
				<tr>
					<td><b>Asignatura</b></td>				
					<td><b>Cuatrimestre 1</b></td>
					<td><b>Cuatrimestre 2</b></td>
					<td><b>Media</b></td>
				</tr>
				<tr>
					<td>Diseño de aplicaciones</td>
					<td><% out.print( notas.get(0) ); %></td>
					<td><% out.print( notas.get(1) ); %></td>
					<td><% out.print(  (float)Math.round((notas.get(0)+notas.get(1))/2 * 10) / 10  ); %></td>					
				</tr>
				<tr>
					<td>Desarrollo de aplicaciones</td>
					<td><% out.print( notas.get(2) ); %></td>
					<td><% out.print( notas.get(3) ); %></td>
					<td><% out.print(  (float)Math.round((notas.get(2)+notas.get(3))/2 * 10) / 10  ); %></td>
				</tr>
				<tr>
					<td>RET</td>
					<td><% out.print( notas.get(4) ); %></td>
					<td><% out.print( notas.get(5) ); %></td>
					<td><% out.print(  (float)Math.round((notas.get(4)+notas.get(5))/2 * 10) / 10  ); %></td>
				</tr>
				<tr>
					<td>FOL</td>
					<td><% out.print( notas.get(6) ); %></td>
					<td><% out.print( notas.get(7) ); %></td>
					<td><% out.print(  (float)Math.round((notas.get(6)+notas.get(7))/2 * 10) / 10  ); %></td>
				</tr>
			</table>					
		<%
			}
			catch(Exception e)
			{
				e.printStackTrace();
			}
		%>
	</body>
	
</html>